## NMDeviceWimax NMDeviceWimax |

## Functions

const char * | nm_device_wimax_get_hw_address ()
NMWimaxNsp * | nm_device_wimax_get_active_nsp ()
NMWimaxNsp * | nm_device_wimax_get_nsp_by_path ()
const GPtrArray * | nm_device_wimax_get_nsps ()
guint | nm_device_wimax_get_center_frequency ()
int | nm_device_wimax_get_rssi ()
int | nm_device_wimax_get_cinr ()
int | nm_device_wimax_get_tx_power ()
const char * | nm_device_wimax_get_bsid ()

## Types and Values

#define | NM_DEVICE_WIMAX_HW_ADDRESS
#define | NM_DEVICE_WIMAX_ACTIVE_NSP
#define | NM_DEVICE_WIMAX_CENTER_FREQUENCY
#define | NM_DEVICE_WIMAX_RSSI
#define | NM_DEVICE_WIMAX_CINR
#define | NM_DEVICE_WIMAX_TX_POWER
#define | NM_DEVICE_WIMAX_BSID
#define | NM_DEVICE_WIMAX_NSPS

## Description

## Functions

### nm_device_wimax_get_hw_address ()

    const char *
    nm_device_wimax_get_hw_address (NMDeviceWimax *wimax);

`nm_device_wimax_get_hw_address` is deprecated and should not be used in newly-written code.

### nm_device_wimax_get_active_nsp ()

    NMWimaxNsp *
    nm_device_wimax_get_active_nsp (NMDeviceWimax *wimax);

`nm_device_wimax_get_active_nsp` is deprecated and should not be used in newly-written code.

### nm_device_wimax_get_nsp_by_path ()

    NMWimaxNsp *
    nm_device_wimax_get_nsp_by_path (NMDeviceWimax *wimax,
                                     const char *path);

`nm_device_wimax_get_nsp_by_path` is deprecated and should not be used in newly-written code.

### nm_device_wimax_get_nsps ()

    const GPtrArray *
    nm_device_wimax_get_nsps (NMDeviceWimax *wimax);

`nm_device_wimax_get_nsps` is deprecated and should not be used in newly-written code.

### nm_device_wimax_get_center_frequency ()

    guint
    nm_device_wimax_get_center_frequency (NMDeviceWimax *self);

`nm_device_wimax_get_center_frequency` is deprecated and should not be used in newly-written code.

### nm_device_wimax_get_rssi ()

    int
    nm_device_wimax_get_rssi (NMDeviceWimax *self);

`nm_device_wimax_get_rssi` is deprecated and should not be used in newly-written code.

### nm_device_wimax_get_cinr ()

    int
    nm_device_wimax_get_cinr (NMDeviceWimax *self);

`nm_device_wimax_get_cinr` is deprecated and should not be used in newly-written code.

### nm_device_wimax_get_tx_power ()

    int
    nm_device_wimax_get_tx_power (NMDeviceWimax *self);

`nm_device_wimax_get_tx_power` is deprecated and should not be used in newly-written code.

### nm_device_wimax_get_bsid ()

    const char *
    nm_device_wimax_get_bsid (NMDeviceWimax *self);

`nm_device_wimax_get_bsid` is deprecated and should not be used in newly-written code.

## Types and Values

### NM_DEVICE_WIMAX_HW_ADDRESS

    #define NM_DEVICE_WIMAX_HW_ADDRESS       "hw-address"

### NM_DEVICE_WIMAX_ACTIVE_NSP

    #define NM_DEVICE_WIMAX_ACTIVE_NSP       "active-nsp"

### NM_DEVICE_WIMAX_CENTER_FREQUENCY

    #define NM_DEVICE_WIMAX_CENTER_FREQUENCY "center-frequency"

### NM_DEVICE_WIMAX_RSSI

    #define NM_DEVICE_WIMAX_RSSI             "rssi"

### NM_DEVICE_WIMAX_CINR

    #define NM_DEVICE_WIMAX_CINR             "cinr"

### NM_DEVICE_WIMAX_TX_POWER

    #define NM_DEVICE_WIMAX_TX_POWER         "tx-power"

### NM_DEVICE_WIMAX_BSID

    #define NM_DEVICE_WIMAX_BSID             "bsid"

### NM_DEVICE_WIMAX_NSPS

    #define NM_DEVICE_WIMAX_NSPS             "nsps"